Subject: Re: [bitcoin-dev] BIP: Short Term Use Addresses for Scalability

From: [email-masked]
Date: Thu, 23 Jul 2015 04:55:46 +0000

Quoting Gavin Andresen via bitcoin-dev  
<[email-masked]>:

> On Wed, Jul 22, 2015 at 4:34 PM, Tier Nolan via bitcoin-dev <
> [email-masked]> wrote:
>
>> It also requires most clients to be updated to support the new address
>> system.
>
>
> That's the killer: introducing Yet Another Type of Bitcoin Address takes a
> very long time and requires a lot of people to change their code. At least,
> that was the lesson learned when we introduced P2SH addresses.
>
> I think it's just not worth it for a very modest space savings (10 bytes,
> when scriptSig+scriptPubKey is about 120 bytes), especially with the
> extreme decrease in security (going from 2^160 to 2^80 to brute-force).
>
> --
> --
> Gavin Andresen

I think it would only save ~5% with all overhead (value, sequence,  
locktime, version, etc.) counted

A better way is to introduce shorter ECDSA keys, which will save a lot  
of space for public key and signature. It is safe as long as the  
output value is much lower than the cost of attack.

If this happens, I think it will be part of the OP_MAST which will  
require a new address type anyway.